---
title: RTCSctpTransport.state
slug: Web/API/RTCSctpTransport/state
tags:
  - API
  - Draft
  - Experimental
  - NeedsCompatTable
  - NeedsExample
  - Property
  - RTCSctpTransport
  - RTCSctpTransportState
  - Read-only
  - Reference
  - WebRTC
  - state
---
<p>{{APIRef("WebRTC")}}{{Draft}}{{SeeCompatTable}}</p>

<p>The <strong><code>state</code></strong> read-only property of the {{DOMxRef("RTCSctpTransport")}} interface provides information which describes a Stream Control Transmission Protocol (<strong>{{Glossary("SCTP")}}</strong>) transport state.</p>

<h2 class="syntaxbox" id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>myState</var> = <var>sctpTransport</var>.state;</pre>

<h3 id="Value">Value</h3>

<p>A string whose value is taken from the <code>RTCSctpTransportState</code> enumerated type. Its value is one of the following:</p>

<dl>
 <dt><code>connecting</code></dt>
 <dd>The initial state when the connection is being estabilished.</dd>
 <dt><code>connected</code></dt>
 <dd>The connection is open for data transmission.</dd>
 <dt><code>closed</code></dt>
 <dd>The connection is closed and can no longer be used.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("WebRTC 1.0", "#dom-rtcsctptransport-state", "RTCSctpTransport.state")}}</td>
   <td>{{Spec2("WebRTC 1.0")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCSctpTransport.state")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{DOMxRef("RTCSctpTransport")}}</li>
</ul>
